Search index not updating on en.wikipedia.org
Closed, ResolvedPublic

Description

Arjayay reports in https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29&oldid=546880111#Search_index_not_updating
that the en.wikipedia.org search index does not update.

Tim (CC'ed) fixed this on March 19 already but looks like it didn't work for long.

On a related note, the Server Admin Log has an entry for March 22: "02:52 Tim: on searchidx1001: started incremental indexer, apparently it died on March 21 at 02:08 when it ran at the same time as a cron job import"

Tim: Could you check if it's the same issue again?


Version: wmf-deployment
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz46530.
Aklapper created this task.Via LegacyMar 25 2013, 9:41 AM
Aklapper added a comment.Via ConduitMar 25 2013, 5:17 PM

<xyzram> andre__: There was some discussion of that issue earlier here and also on Friday last week. We (Chad, Antoine, me) need privileges to restart the IncrementalUpdater. Also need to figure out why it keeps dying.

Dzahn added a comment.Via ConduitMar 28 2013, 6:34 PM

since yesterday we have new monitoring for failed indices showing up on the lucene status page.

And when i just, totally unrelated to this bug, restarted lucene on search19 and search20, to add new indices for new wikivoyage language wikis, we got this side-effect:

<+icinga-wm> RECOVERY - search indices - check lucene status page on search20 is OK: HTTP OK: HTTP/1.1 200 OK - 60006 bytes in 0.125 second response time

<+icinga-wm> RECOVERY - search indices - check lucene status page on search19 is OK: HTTP OK: HTTP/1.1 200 OK

bzimport added a comment.Via ConduitMar 28 2013, 7:15 PM

ram wrote:

This issue should no longer occur. A recent change to the lucene.jobs.sh shell script was causing it to exit prematurely; this change has now been reverted by
https://gerrit.wikimedia.org/r/#/c/55796/
So this bug can be closed now.

Aklapper added a comment.Via ConduitApr 2 2013, 3:14 PM

Thanks for the update! Closing as per last comment.

Add Comment